Package org.apache.felix.http.javaxwrappers

# Class FilterWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.FilterWrapper

All Implemented Interfaces:
  `javax.servlet.Filter`

public class FilterWrapper extends Object implements javax.servlet.Filter
Javax Filter based on a jakarta filter

## Constructor Summary

Constructors
Constructor
Description
`FilterWrapper(jakarta.servlet.Filter filter)`
Create new filter

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`void`
`doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`jakarta.servlet.Filter`
`getFilter()`
Get the filter
`void`
`init(javax.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterWrapper

public FilterWrapper(@NotNull jakarta.servlet.Filter filter)
Create new filter

Parameters:
  `filter` - wrapped filter

## Method Details

### init

public void init(javax.servlet.FilterConfig filterConfig) throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`

### doFilter

public void doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain) throws IOException, javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### destroy

public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`

### getFilter

@NotNull public jakarta.servlet.Filter getFilter()
Get the filter

Returns:
  The filter